summaryrefslogtreecommitdiffstats
path: root/games/smokinguns/smokinguns.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/smokinguns/smokinguns.SlackBuild')
-rw-r--r--games/smokinguns/smokinguns.SlackBuild14
1 files changed, 13 insertions, 1 deletions
diff --git a/games/smokinguns/smokinguns.SlackBuild b/games/smokinguns/smokinguns.SlackBuild
index ecba34fc37..4a63e6ac0c 100644
--- a/games/smokinguns/smokinguns.SlackBuild
+++ b/games/smokinguns/smokinguns.SlackBuild
@@ -30,7 +30,18 @@ BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-ARCH=i386 # i386 binary only
+# 2023-05-16 DW: need an ARCH test
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [[ $ARCH != i?86 ]]; then
+ printf "\n$ARCH is not supported... \n" >/dev/stderr
+ exit 1
+fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -84,6 +95,7 @@ install -m 0755 -D $CWD/launcher.sh $PKG/usr/bin/smokinguns
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/opt -iname *.txt -type f -exec cp {} $PKG/usr/doc/$PRGNAM-$VERSION \;
cp $PKG/opt/$PRGNAM/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc